[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.GetDataSize

Return the size of the data.

## Declaration

Source position: db.pas line 1182

`public function TParam.GetDataSize: Integer;`

## Function result

Size (in bytes) for the current value

## Description

GetDataSize returns the size (in bytes) needed to store the current value of the parameter.

## Errors

For an unsupported data type, an EDatabaseError exception is raised when this function is called.

## See also

TParam.GetData |  | Get the parameter value from a memory buffer
TParam.SetData |  | Set the parameter value from a buffer

Documentation generated on: Feb 26 2014